// src/index.ts
function VitePluginInjection(options = {}) {
  return {
    name: "vite-plugin-injection",
    apply: "build",
    enforce: "pre",
    transformIndexHtml(html) {
      const buildTime = new Date().toLocaleString();
      return html.replace(
        '<div id="app"></div>',
        `<div id="app"></div>
        <!-- build at ${buildTime} -->`
      );
    }
  };
}
var src_default = VitePluginInjection;
export {
  VitePluginInjection,
  src_default as default
};
